#pragma once

#include "const.h"
#include "IPrepareModule.h"

class RemovePrepareModule : public IPrepareModule
{
public:
	RemovePrepareModule(const TCHAR *guid, int execute_option);
	virtual ~RemovePrepareModule();

	BOOL Prepare();
	IInstallModule *GetInstallComponent();

private:
	TCHAR		m_uninstaller_path[FILENAME_SIZE];
	TCHAR		m_uninstaller_parameter[FILENAME_SIZE];
	int			m_uninstaller_type;
	int			m_execute_option;
};